package com.zbf.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TRkReceivingGoods;
import com.zbf.system.domain.TRkReceivingGoodsTab;

/**
 * 收货单Mapper接口
 *
 * @author tony
 * @date 2024-06-18
 */
public interface TRkReceivingGoodsMapper extends BaseMapper<TRkReceivingGoods> //修改
{
    /**
     * 查询收货单
     *
     * @param id 收货单主键
     * @return 收货单
     */
    public TRkReceivingGoods selectTRkReceivingGoodsById(String id);

    /**
     * 查询收货单列表
     *
     * @param tRkReceivingGoods 收货单
     * @return 收货单集合
     */
    public List<TRkReceivingGoods> selectTRkReceivingGoodsList(TRkReceivingGoods tRkReceivingGoods);

    /**
     * 新增收货单
     *
     * @param tRkReceivingGoods 收货单
     * @return 结果
     */
    public int insertTRkReceivingGoods(TRkReceivingGoods tRkReceivingGoods);

    /**
     * 修改收货单
     *
     * @param tRkReceivingGoods 收货单
     * @return 结果
     */
    public int updateTRkReceivingGoods(TRkReceivingGoods tRkReceivingGoods);

    /**
     * 删除收货单
     *
     * @param id 收货单主键
     * @return 结果
     */
    public int deleteTRkReceivingGoodsById(String id);

    /**
     * 批量删除收货单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRkReceivingGoodsByIds(String[] ids);

    /**
     * 批量启用收货单
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTRkReceivingGoodsByIds(String[] ids);

    /**
     * 批量禁用收货单
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTRkReceivingGoodsByIds(String[] ids);


    /**
     * 批量删除收货单明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRkReceivingGoodsTabByNoticeIds(String[] ids);

    /**
     * 批量新增收货单明细
     *
     * @param tRkReceivingGoodsTabList 收货单明细列表
     * @return 结果
     */
    public int batchTRkReceivingGoodsTab(List<TRkReceivingGoodsTab> tRkReceivingGoodsTabList);


    /**
     * 通过收货单主键删除收货单明细信息
     *
     * @param id 收货单ID
     * @return 结果
     */
    public int deleteTRkReceivingGoodsTabByNoticeId(String id);

    /**
     * 根据入库通知单单号查询存货表数据
     * 
     * @param noticeId
     * @return
     */
    public TRkReceivingGoods selectTRkReceivingGoodsByNoticeId(String noticeId);

    /**
     * 批量更新收货明细表
     * @param goodsTabs
     * @return
     */
    public int updateForeach(List<TRkReceivingGoodsTab> goodsTabs);
}
